Subject: kaffe 0.9 and gnuwin b18 don't mix
From: [email-masked] (Peter Ham)

17 May 1997 22:07:49 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.0Gold (WinNT; U)
MIME-Version: 1.0
Original-To: [email-masked], [email-masked]
Original-CC: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

The memory manager in kaffe-0.9 requires that the operating system
memory allocator return "page" aligned pointers.

Unfortunately, gnuwin b18 doesn't support memalign(), or valloc(), and
malloc doesn't return data aligned to kaffe's
preference.

This causes a crash on gnuwin b18 immediately upon running
HelloWorld with a stack trace similar to the one reported
on AIX by Kevin B. Hendricks ([email-masked].

Anybody have any suggestions on how to work around this? I
can't think of any easy way.

For now, I think that I will try kaffe-0.8.x if it's still
available.

Any hints would be appreciated.
Thanks,

Peter Ham

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".